Redmine - Defect #36911

Clipboard copy is broken after upgrade to 4.2.5 or 5.0.0 from 4.2.3
2022-04-09 04:37 - A Fora

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 5.0.0

Description

1. Problem description:

After the upgrade, clipboard pictures are pasted as ![J(image.png). In the previous versions they had a unique identifier e.qg.
II(clipboard-202203271559-wc8kd.png). Hence if the page/issue has more than one image, they will all appear as the last image
pasted to it.

At the same time, all copies of images are attached to the page/issue as seen at the bottom of the page under >Files (2) section.
1. To replicate the issue:

1. Start with a working v.4.2.3 instance of redmine/database

- migrate to either v.4.2.5 or v.5.0.0

- open an existing wiki page or an existing issue

- paste 2 different images saved in the clipboard one after another
- you will get the following two lines:

1'[] (image.png)
1'[] (image.png)

Related issues:
Is duplicate of Redmine - Defect #36887: copylmageFromClipboard function fail... Closed

History

#1 - 2022-04-09 04:42 - A Fora

The issue is reported and resolved in #36887, however, it also impacts v5.0.0 which has not been reported.

#2 - 2022-04-10 10:03 - Go MAEDA

- Status changed from New to Confirmed

#3 - 2022-04-10 10:38 - Go MAEDA

- Related to Defect #36887: copylmageFromClipboard function failed to generate a unique file name added

#4 - 2022-04-10 10:38 - Go MAEDA
- Related to deleted (Defect #36887: copylmageFromClipboard function failed to generate a unique file name)

#5 - 2022-04-10 10:38 - Go MAEDA

- Is duplicate of Defect #36887: copylmageFromClipboard function failed to generate a unique file name added

#6 - 2022-04-10 10:40 - Go MAEDA
- Status changed from Confirmed to Closed

- Resolution set to Duplicate

A Fora wrote:

The issue is reported and resolved in #36887, however, it also impacts v5.0.0 which has not been reported.
It will be soon backported to 5.0-stable and 4.2-stable branches and released as 4.2.6 and 5.0.1.

Thank you for reporting the issue.

#7 - 2022-04-11 09:11 - Marius BALTEANU
I've merged the fix to stable branches, but | will keep #36887 open for a few days, | would like to try add a system test.

Thanks for reporting the issue.
